org.apache.cassandra.db.compaction

## Class LeveledCompactionTask

- java.lang.Object
- - org.apache.cassandra.utils.WrappedRunnable
  - - org.apache.cassandra.db.compaction.AbstractCompactionTask
    - - org.apache.cassandra.db.compaction.CompactionTask
      - - org.apache.cassandra.db.compaction.LeveledCompactionTask

All Implemented Interfaces:
  java.lang.Runnable

    public class LeveledCompactionTask
    extends CompactionTask

### Field Summary

### Fields inherited from class org.apache.cassandra.db.compaction.CompactionTask

`gcBefore, logger, totalBytesCompacted`

### Fields inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

`cfs, compactionType, isUserDefined, transaction`

### Constructor Summary

Constructors
Constructor and Description
`LeveledCompactionTask(ColumnFamilyStore cfs, LifecycleTransaction txn, int level, int gcBefore, long maxSSTableBytes, boolean majorCompaction)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompactionAwareWriter` `getCompactionAwareWriter(ColumnFamilyStore cfs, LifecycleTransaction txn, java.util.Set<SSTableReader> nonExpiredSSTables)`
`protected int` `getLevel()`
`protected boolean` `partialCompactionsAcceptable()`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionTask

`addToTotalBytesCompacted, checkAvailableDiskSpace, executeInternal, getCompactionController, getFormatType, getMaxDataAge, getMinRepairedAt, reduceScopeForLimitedSpace, runMayThrow, updateCompactionHistory`

### Methods inherited from class org.apache.cassandra.db.compaction.AbstractCompactionTask

`execute, setCompactionType, setUserDefined, toString`

### Methods inherited from class org.apache.cassandra.utils.WrappedRunnable

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LeveledCompactionTask

    public LeveledCompactionTask(ColumnFamilyStore cfs,
                                 LifecycleTransaction txn,
                                 int level,
                                 int gcBefore,
                                 long maxSSTableBytes,
                                 boolean majorCompaction)

### Method Detail

#### getCompactionAwareWriter

    public CompactionAwareWriter getCompactionAwareWriter(ColumnFamilyStore cfs,
                                                          LifecycleTransaction txn,
                                                          java.util.Set<SSTableReader> nonExpiredSSTables)

Overrides:
  `getCompactionAwareWriter` in class `CompactionTask`

#### partialCompactionsAcceptable

    protected boolean partialCompactionsAcceptable()

Overrides:
  `partialCompactionsAcceptable` in class `CompactionTask`

#### getLevel

    protected int getLevel()

Overrides:
  `getLevel` in class `CompactionTask`